OpenNMS API 1.2.9

## org.opennms.netmgt.config.xmlrpcd
Class XmlrpcdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.xmlrpcd.XmlrpcdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class XmlrpcdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private ExternalServers` `_externalServers`
`private boolean` `_has_maxEventQueueSize` keeps track of state for field: _maxEventQueueSize
`private int` `_maxEventQueueSize`
`private Subscription` `_subscription`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`XmlrpcdConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteMaxEventQueueSize()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`ExternalServers` `getExternalServers()` Returns the value of field 'externalServers'.
`int` `getMaxEventQueueSize()` Returns the value of field 'maxEventQueueSize'.
`Subscription` `getSubscription()` Returns the value of field 'subscription'.
`boolean` `hasMaxEventQueueSize()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setExternalServers(ExternalServers externalServers)` Sets the value of field 'externalServers'.
`void` `setMaxEventQueueSize(int maxEventQueueSize)` Sets the value of field 'maxEventQueueSize'.
`void` `setSubscription(Subscription subscription)` Sets the value of field 'subscription'.
`static XmlrpcdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _maxEventQueueSize

    private int _maxEventQueueSize

### _has_maxEventQueueSize

    private boolean _has_maxEventQueueSize

  keeps track of state for field: _maxEventQueueSize

### _externalServers

    private ExternalServers _externalServers

### _subscription

    private Subscription _subscription

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### XmlrpcdConfiguration

    public XmlrpcdConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteMaxEventQueueSize

    public void deleteMaxEventQueueSize()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExternalServers

    public ExternalServers getExternalServers()

  Returns the value of field 'externalServers'.

  Returns:
    the value of field 'externalServers'.

### getMaxEventQueueSize

    public int getMaxEventQueueSize()

  Returns the value of field 'maxEventQueueSize'.

  Returns:
    the value of field 'maxEventQueueSize'.

### getSubscription

    public Subscription getSubscription()

  Returns the value of field 'subscription'.

  Returns:
    the value of field 'subscription'.

### hasMaxEventQueueSize

    public boolean hasMaxEventQueueSize()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setExternalServers

    public void setExternalServers(ExternalServers externalServers)

  Sets the value of field 'externalServers'.

  Parameters:
    `externalServers` - the value of field 'externalServers'.

### setMaxEventQueueSize

    public void setMaxEventQueueSize(int maxEventQueueSize)

  Sets the value of field 'maxEventQueueSize'.

  Parameters:
    `maxEventQueueSize` - the value of field 'maxEventQueueSize'.

### setSubscription

    public void setSubscription(Subscription subscription)

  Sets the value of field 'subscription'.

  Parameters:
    `subscription` - the value of field 'subscription'.

### unmarshal

    public static XmlrpcdConfiguration unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.